系统出错。是dpkg was interrupted,( 已经解决)

为当前最终发行版之前的所有版本提供支持
回复
cibe
帖子: 41
注册时间: 2006-10-05 4:36
送出感谢: 0
接收感谢: 0

系统出错。是dpkg was interrupted,( 已经解决)

#1

帖子 cibe » 2006-10-18 0:52

不知道什么回事。我在用apt-get的时候出现这个问题:E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
什么办???

--更新:是我安装一个软件中途取消。所以出现错误。已经解决!
swordpower
帖子: 3
注册时间: 2006-10-31 1:28
送出感谢: 0
接收感谢: 0

#2

帖子 swordpower » 2006-10-31 20:36

偶也是,不知道楼主怎么解决的~
hirnamed
帖子: 26
注册时间: 2006-10-31 19:15
送出感谢: 0
接收感谢: 0

#3

帖子 hirnamed » 2006-10-31 22:03

我和楼主一样,是更新过程中取消了.楼主可以详细说说怎么解决的么?
swordpower
帖子: 3
注册时间: 2006-10-31 1:28
送出感谢: 0
接收感谢: 0

#4

帖子 swordpower » 2006-10-31 22:26

首先进入sudo su
Password:
进入超级用户
解决过程:
dpkg --configure --pending

/var/lib/dpkg/updates/0000

dselect 然后选up (U) 。。。

偶解决 了~~
找了半天~~

这个问题还是很容易经常出现的,只要更新一半人为断掉就会出现这种情况~
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

Re: 系统出错。是dpkg was interrupted,( 已经解决)

#5

帖子 SuperWar3Fan » 2006-11-01 9:50

cibe 写了:不知道什么回事。我在用apt-get的时候出现这个问题:E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
什么办???

--更新:是我安装一个软件中途取消。所以出现错误。已经解决!
提示信息不是非常明白吗?
手工运行:
sudo dpkg --configure -a
cibe
帖子: 41
注册时间: 2006-10-05 4:36
送出感谢: 0
接收感谢: 0

#6

帖子 cibe » 2006-11-02 2:28

好像是哦这样的。谢谢
etile
帖子: 17
注册时间: 2005-11-14 22:09
来自: SCAU
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 etile » 2006-11-07 20:44

我是在装flashplugin-nonfree中出现的
正在设置 flashplugin-nonfree (7.0.68~ubuntu3) ...
Downloading...
因为教育网无法上那个macromedia网站,我试了n个代理也不行。所以这个进程只好被我ctri+c中断,也导致了dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem
dpkg --configure -a后还是会继续出现:
正在设置 flashplugin-nonfree (7.0.68~ubuntu3) ...
Downloading...

虽然最后找了一个flash包装上了,可是装别的东西时还是会经常出现上面那两行语句

用楼主的方法也是那样
cibe
帖子: 41
注册时间: 2006-10-05 4:36
送出感谢: 0
接收感谢: 0

#8

帖子 cibe » 2006-11-22 20:01

呵呵。用linux有时候要自己解决很多问题。
sslfox
帖子: 6
注册时间: 2008-03-15 16:04
送出感谢: 0
接收感谢: 0

#9

帖子 sslfox » 2008-04-15 20:24

etile 写了:我是在装flashplugin-nonfree中出现的
正在设置 flashplugin-nonfree (7.0.68~ubuntu3) ...
Downloading...
因为教育网无法上那个macromedia网站,我试了n个代理也不行。所以这个进程只好被我ctri+c中断,也导致了dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem
dpkg --configure -a后还是会继续出现:
正在设置 flashplugin-nonfree (7.0.68~ubuntu3) ...
Downloading...

虽然最后找了一个flash包装上了,可是装别的东西时还是会经常出现上面那两行语句

用楼主的方法也是那样
7楼我也遇到跟你相同的问题,你解决了没呢?
kennycool
帖子: 7
注册时间: 2008-06-27 10:41
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 kennycool » 2008-06-27 10:54

解决办法 :
sudo apt-get remove flash-player-nonfree
一切ok了
如果你还没有装flash的话 就去网站上下一个直接安装
不用apt-get安装
timor
帖子: 3
注册时间: 2008-01-26 13:18
送出感谢: 0
接收感谢: 0

#11

帖子 timor » 2008-07-03 11:28

etile 写了:我是在装flashplugin-nonfree中出现的
正在设置 flashplugin-nonfree (7.0.68~ubuntu3) ...
Downloading...
因为教育网无法上那个macromedia网站,我试了n个代理也不行。所以这个进程只好被我ctri+c中断,也导致了dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem
dpkg --configure -a后还是会继续出现:
正在设置 flashplugin-nonfree (7.0.68~ubuntu3) ...
Downloading...

虽然最后找了一个flash包装上了,可是装别的东西时还是会经常出现上面那两行语句

用楼主的方法也是那样
输入sudo dpkg -r flashplugin-nonfree就可以解决了!
kennycool
帖子: 7
注册时间: 2008-06-27 10:41
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 kennycool » 2008-07-03 13:11

上楼的 方法貌似不对
我试过 还是得用 apt-get remove才行
回复

回到 “老旧版本支持”